Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Class LogicalOperatorConstraintComponent

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.LogicalOperatorConstraintComponent

- All Implemented Interfaces:
    `ConstraintComponent`, `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`
  Direct Known Subclasses:
    `AndConstraintComponent`, `OrConstraintComponent`

      public abstract class LogicalOperatorConstraintComponent
      extends AbstractConstraintComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `ConstraintComponent.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `VALUES_INJECTION_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogicalOperatorConstraintComponent​(Resource id)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `buildSparqlValidNodes_rsx_targetShape, generateSparqlValidationQuery, generateTransactionalValidationPlan, getAllTargetsPlan, getId, getOptimalBulkValidationApproach, getPreferredValidationApproach, getTargetChain, requiresEvaluation, setTargetChain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `deepClone, getConstraintComponent`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.Exportable

      `toModel`

- - ### Constructor Detail

    - #### LogicalOperatorConstraintComponent

          public LogicalOperatorConstraintComponent​(Resource id)